/************************************************************************
 * draw3d.h
 *
 * Copyright (C) 1997-2002 Klaus Ehrenfried
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 ************************************************************************/

int trans10(POINT *p, RPOINT *rp, int shift, TASK *a);
void set0_pixel(int i, int j, double z, int c[3], TASK *a);
void set_line_width(int width, TASK *a);
void init_tmatrix(TASK *a);
void draw1_line(POINT *p1, POINT *p2, TASK *a);
void draw1_view_box(TASK *a);
void init_view_box(TASK *a);
void draw2_face_object(FACE_OBJECT *obj, TASK *a);
void draw2_mesh_object(MESH_OBJECT *mesh, TASK *a);
void draw1_grid(double r, int n1, int n2, int dir, TASK *a);
void fill0_trapezoid_clu(int j1,
			 int i11, double z11, double w11,
			 int i12, double z12, double w12,
			 int j2,
			 int i21, double z21, double w21,
			 int i22, double z22, double w22,
			 TASK *a);

void draw0_line_const(RPOINT *p1, RPOINT *p2, int c[3], TASK *a);

